from . import Character,Game

# -----------------------------------------------------------------------------
GAME = Game(
        name = "melee",
        fullname = "Super Smash Brothers Melee",
        aliases = [
            "ssbm",
            "Super Smash Bros. Melee",
            ],
        smashggid = 1,
        )
        
# -----------------------------------------------------------------------------
EVERYONE = [
        Character(
            smashggid = None,
            name = "bowser",
            codenames = [ "bowser", ],
            res_urls = {
                "smashlyon": [
                        "https://resources.smashlyon.com/melee/bowser.zip",
                        ],
                },
            ),
        Character(
            smashggid = None,
            name = "captain falcon",
            codenames = [ "captain", ],
            res_urls = {
                "smashlyon": [
                        "https://resources.smashlyon.com/melee/captain.zip",
                        ]
                },
            ),
        Character(
                smashggid = None,
                name = "donkey kong",
                codenames = [ "donkey", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/donkey.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 4,
                name = "dr mario",
                codenames = [ "doc", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/doc.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 5,
                name = "falco",
                codenames = [ "falco", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/falco.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 6,
                name = "fox",
                codenames = [ "fox", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/fox.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "ganondorf",
                codenames = [ "ganondorf", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/ganondorf.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 8,
                name = "ice climbers",
                codenames = [ "iceclimber", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/iceclimber.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "jigglypuff",
                codenames = [ "jigglypuff", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/jigglypuff.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "kirby",
                codenames = [ "kirby", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/kirby.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "link",
                codenames = [ "link", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/link.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 12,
                name = "luigi",
                codenames = [ "luigi", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/luigi.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "mario",
                codenames = [ "mario", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/mario.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "marth",
                codenames = [ "marth", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/marth.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 15,
                name = "mewtwo",
                codenames = [ "mewtwo", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/mewtwo.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "ness",
                codenames = [ "ness", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/ness.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 18,
                name = "peach",
                codenames = [ "peach", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/peach.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "pichu",
                codenames = [ "pichu", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/pichu.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "pikachu",
                codenames = [ "pikachu", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/pikachu.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "roy",
                codenames = [ "roy", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/roy.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 22,
                name = "samus",
                codenames = [ "samus", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/samus.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 23,
                name = "sheik",
                codenames = [ "sheik", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/sheik.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "yoshi",
                codenames = [ "yoshi", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/yoshi.zip",
                        ],
                    },
                ),
        Character(
                smashggid = 25,
                name = "young link",
                codenames = [ "yink", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/yink.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "zelda",
                codenames = [ "zelda", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/zelda.zip",
                        ],
                    },
                ),
        Character(
                smashggid = None,
                name = "mr game and watch",
                codenames = [ "mrgameandwatch", ],
                res_urls = {
                    "smashlyon": [
                        "https://resources.smashlyon.com/melee/mrgameandwatch.zip",
                        ],
                    },
                ),
        ]

